Bug 1470991 - [RFE] Use materialized views
[RFE] Use materialized views
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: Database.Core (Show other bugs)
---
Unspecified Unspecified
medium Severity high (vote)
: ovirt-4.4.0
: ---
Assigned To: Eli Mesika
Lucie Leistnerova
: FutureFeature, Performance
Depends On: 1459134
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 04:38 EDT by Martin Perina
Modified: 2017-12-18 06:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.4?
lsvaty: testing_plan_complete-
mperina: planning_ack?
mperina: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 80334 master ABANDONED db: add permissions materialized views 2018-04-07 21:56 EDT
oVirt gerrit 80335 master ABANDONED db: rename permissions table 2018-04-07 21:56 EDT
oVirt gerrit 80336 master ABANDONED db: add materialized views refresh SPs 2018-04-07 21:56 EDT
oVirt gerrit 80337 master ABANDONED db: handle permissions materialized views refresh 2018-04-07 21:56 EDT
oVirt gerrit 80338 master ABANDONED dao: refresh MV after inserting test data 2018-04-07 21:56 EDT
oVirt gerrit 82946 master ABANDONED db: adding group permissions views 2018-04-07 21:56 EDT

  None (edit)
Description Martin Perina 2017-07-14 04:38:51 EDT
Description of problem:

Materialized views [1] can be used to reduce query time on complex queries with low data update rate.

[1] https://wiki.postgresql.org/wiki/What%27s_new_in_PostgreSQL_9.3#Materialized_Views

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Martin Perina 2017-10-24 10:10:01 EDT
Moving to 4.3 as we were unable to prove performance improvements using materialized views, on the contrary MVs caused performance degration.

Note You need to log in before you can comment on or make changes to this bug.